#ifndef ROOT_TreeSearch_SBS
#define ROOT_TreeSearch_SBS

//////////////////////////////////////////////////////////////////////////
//
// TreeSearch::SBS
//
// Bare-bones SBS spectrometer class containing no detectors.
// Used for testing.
//
//////////////////////////////////////////////////////////////////////////

#include "THaSpectrometer.h"

namespace TreeSearch {

  class SBS : public THaSpectrometer {
  
  public:
    SBS( const char* name, const char* description );
    virtual ~SBS();

    virtual Int_t   FindVertices( TClonesArray& tracks );
    virtual Int_t   TrackCalc();
  
  protected:
    
    ClassDef(SBS,0) // SBS spectrometer
  };

} // end namespace TreeSearch

#endif

