#ifndef ROOT_TreeSearch_HRS
#define ROOT_TreeSearch_HRS

//////////////////////////////////////////////////////////////////////////
//
// TreeSearch::HRS
//
// Bare-bones HRS spectrometer class containing no detectors.
// Used for testing.
//
//////////////////////////////////////////////////////////////////////////

#include "THaSpectrometer.h"

namespace TreeSearch {

  class HRS : public THaSpectrometer {
  
  public:
    HRS( const char* name, const char* description );
    virtual ~HRS();

    virtual Int_t   FindVertices( TClonesArray& tracks );
    virtual Int_t   TrackCalc();
  
  protected:
    
  ClassDef(HRS,0) // HRS spectrometer
  };

} // end namespace TreeSearch

#endif

