// Skeleton replay script for checkout
{
  gSystem->Load("libTreeSearch-GEM.so");

  Int_t irun = 26637;

  THaAnalyzer* analyzer = new THaAnalyzer;

  // HRS with GEM trackers
  gHaApps->Add( new TreeSearch::HRS("L", "Left HRS with GEM trackers") );

  // Cosmics test run
  THaRun* run = new THaRun(Form("/disk2/data/happexsp_%d.dat.0",irun));
  //run->SetLastEvent(5000);

  TString rootfile(Form("checkout_%d.root",irun));
  analyzer->SetOutFile(rootfile);
  analyzer->SetOdefFile("checkout.odef");
  analyzer->SetMarkInterval(100);
  //  analyzer->SetVerbosity(4);

  analyzer->Process(run);

  analyzer->Close();
  delete run; run = 0;
  delete analyzer; analyzer = 0;
  gHaApps->Clear();

  TFile* f = new TFile(rootfile,"r");
}
